<template>
    <div class="modal fade" id="userProfileModal" tabindex="-1" aria-labelledby="userProfileModal" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content" style="border-radius: 20px;">
                <div class="modal-body" style="padding: 0;">
                    <button type="button" class="btn-close user-profile-close" data-bs-dismiss="modal"
                        aria-label="Close">
                        <i class="fa fa-times" aria-hidden="true"></i>
                    </button>
                    <div class="card card-custom" style="padding: 0;">
                        <img src="../../assets/images/cover-photo.jpg" class="card-img-top" alt="Pokemon Cover Photo">
                        <div class="card-body profile-body">
                            <img :src="user.image_url" class="card-img-photo" alt="Pokemon Cover Photo">
                        </div>
                        <div class="card-body profile-body" style="z-index: auto;">
                            <h5 class="card-title profile-name">{{ user.first_name }} {{ user.last_name }}</h5>
                            <div class="card-text profile-text">
                                <span class="profile-details">
                                    <i class="fa fa-envelope-o" aria-hidden="true"></i> {{ user.email }}
                                </span>
                                <span class="profile-details">
                                    <i class="fa fa-calendar-check-o" aria-hidden="true"></i>
                                    {{ new Date(user.birthdate).toLocaleDateString("en-US", {
                                            weekday: 'long', year:
                                                'numeric', month: 'long', day: 'numeric'
                                        })
                                    }}
                                </span>
                            </div>

                            <!-- LIKES -->
                            <h6 class="card-title profile-pokemon-title">Likes (3)</h6>
                            <div class="profile-pokemons" style="padding-bottom: 12px;">
                                <PokemonChip v-for="like in user.likes" :key="like.id" :chip="like" />
                            </div>
                            <!-- HATES -->
                            <h6 class="card-title profile-pokemon-title">Hate/s</h6>
                            <div class="profile-pokemons" style="padding-bottom: 12px;">
                                <PokemonChip v-for="dislike in user.dislikes" :key="dislike.id" :chip="dislike" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import PokemonChip from '../PokemonChip';
export default {
    name: "CommunityProfileModal",
    props: {
        user: JSON,
    },
    components:{
        PokemonChip
    },
}
</script>